PHP 7 не работает интерпретатор?

При обновлении системы иногда может получиться так, что система перестает работать, например в нашем случае обновили Ubuntu 14.04 до 18.04.
На текущий момент версия PHP 7.2.3, виртауальные хосты которые были на каких-то движках продолжали работать, а вот некоторые самописные вещие перестали, в браузере стали отображаться как plaintext.

В чем же дело?

Тэги должны обязательно начинаться и заканчиваться вот-так:

1
2
<?php
?>

Если все-таки хочется использовать старые способы, то они должны быть включены с помощью конфигурационной директивы php.ini short_open_tag, либо если PHP был сконфигурирован с опцией —enable-short-tags.

Поделиться в соц. сетях

Опубликовать в Google Buzz
Опубликовать в Google Plus
Опубликовать в LiveJournal
Опубликовать в Мой Мир
Опубликовать в Одноклассники
В записи нет меток.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Лимит времени истёк. Пожалуйста, перезагрузите CAPTCHA.